{
    name: "Galarica Wreath",
    spritenum: 740,
    fling: {
        basePower: 30
    },
    onSwitchIn(pokemon) {
        if (pokemon.species.name === 'Slowking-Galar' && pokemon.getAbility().name === 'Curious Medicine') {
            pokemon.useItem();
            for (const ally of pokemon.side.pokemon) {
                if (ally && ally.status) {
                    ally.cureStatus();
                }
            }
        }
    },
    num: 1592,
    gen: 8,
    isNonstandard: "Unobtainable"
}
